Notifiy user is DAEMON is missing

Add a helpful message that the zuul binaries are missing from init.d
scripts.

Change-Id: I703b2c5cce3a09d0330063cb65097dc7041648bc
Signed-off-by: Paul Belanger <pabelanger@redhat.com>
This commit is contained in:
Paul Belanger 2016-10-10 09:15:33 -04:00
parent a196040868
commit 14202ecc93
3 changed files with 12 additions and 3 deletions

View File

@ -25,7 +25,10 @@ DAEMON=$PREFIX/bin/zuul-launcher
USER=${RUNASUSER:-zuul}
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 5
if ! [ -x "$DAEMON" ]; then
echo "$DAEMON: command not found"
exit 5
fi
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

View File

@ -25,7 +25,10 @@ DAEMON=$PREFIX/bin/zuul-merger
USER=${RUNASUSER:-zuul}
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 5
if ! [ -x "$DAEMON" ]; then
echo "$DAEMON: command not found"
exit 5
fi
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

View File

@ -23,7 +23,10 @@ DAEMON=$PREFIX/bin/zuul-server
USER=${RUNASUSER:-zuul}
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 5
if ! [ -x "$DAEMON" ]; then
echo "$DAEMON: command not found"
exit 5
fi
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh